> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/powershell-commands/new-udmapvectorlayer.md).

# New-UDMapVectorLayer

### Synopsis

Creates a map vector layer.

### Syntax

```powershell
New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -Circle -Latitude <Double> -Longitude <Double> -Radius <Int32> [-Popup <Object>] [<CommonParameters>]

    New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -Polyline -Positions <Object> [<CommonParameters>]

    New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -Polygon -Positions <Object> [<CommonParameters>]

    New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -Rectangle -LatitudeTopLeft <Double> -LongitudeTopLeft <Double> -LatitudeBottomRight <Double> -LongitudeBottomRight <Double> [<CommonParameters>]

    New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -GeoJSON <String> [<CommonParameters>]
```

### Description

Creates a map vector layer.

### Parameters

#### -Id

The id of the map vector layer. This defaults to a new GUID.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Color

The color of the vector layer.

```
Required?                    false
Position?                    named
Default value                black
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -FillColor

The fill color of the vector layer.

```
Required?                    false
Position?                    named
Default value                black
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -FillOpacity

The fill opacity of the vector layer.

```
Required?                    false
Position?                    named
Default value                0.5
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Weight

The weight of the vector layer.

```
Required?                    false
Position?                    named
Default value                3
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Opacity

The opacity of the vector layer.

```
Required?                    false
Position?                    named
Default value                1
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Circle [<SwitchParameter>]
        Creates a circle.

Required?                    true
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Latitude

The latitude of the circle.

```
Required?                    true
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Longitude

The longitude of the circle.

```
Required?                    true
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Radius

The radius of the circle.

```
Required?                    true
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Polyline [<SwitchParameter>]
        Creates a polyline.

Required?                    true
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Polygon [<SwitchParameter>]
        Creates a polygon.

Required?                    true
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Positions The positions of the polyline or polygon.Required?                    truePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Rectangle \[\<SwitchParameter>]        Creates a rectangle.Required?                    truePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-LatitudeTopLeftThe latitude of the top left corner of the rectangle.Required?                    truePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-LongitudeTopLeftThe longitude of the top left corner of the rectangle.Required?                    truePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-LatitudeBottomRightThe latitude of the bottom right corner of the rectangle.Required?                    truePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-LongitudeBottomRightThe longitude of the bottom right corner of the rectangle.Required?                    truePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-Popup The popup of the vector layer. Use New-UDMapPopup to create a popup.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-GeoJSONThe GeoJSON of the vector layer. This is an alternative to specifying the longitude and latitude.Required?                    truePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216>).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/powershell-commands/new-udmapvectorlayer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
